/* java script */
DefaultStyleSheets = [ "Chocolate", "Midnight", "Modernist", "Oldstyle", "Steely", "Swiss", "Traditional", "Ultramarine"];

function setActiveStyleSheet(title) {
    var i, a, main;
    if (title) {
	for(i=0; (a = document.getElementsByTagName('link')[i]); i++) 
	{
	    if(a.getAttribute('rel').indexOf('style') != -1 && 
		a.getAttribute('title')) {
		a.disabled = true;
		if(a.getAttribute('title') == title) 
		    a.disabled = false;
	    }
	}
    }
}

function setCSS(c) {
    setActiveStyleSheet(c);
}

function GenerateCoreStyleSelectMenu(c) {
    if(c == null) c = DefaultStyleSheets;

    document.write('<div style="border: dashed 1px #aaa;">');
    document.write('Core StyleSheets: ');
    for (i = 0; i < c.length; i++) {
	document.write('<a href="#" onClick=setCSS("');
	document.write(c[i]);
	document.write('");>');
	document.write(c[i]);
	document.write('</a>&nbsp;\n');
    }
    document.write('</div>');
}

function GenerateCoreStyleSheets(c) {
    if(c == null) c = DefaultStyleSheets;

    for (i = 0; i < c.length; i++) {
        document.write("<link rel='alternate stylesheet' title='");
	document.write(c[i]);
	document.write("' href='StyleSheets/Core/");
	document.write(c[i]);
	document.write(".css'>\n");
    }
}
